package androidx.camera.core.impl;

import android.content.Context;
import androidx.camera.core.InitializationException;

public interface UseCaseConfigFactory {

    public interface Provider {
        UseCaseConfigFactory newInstance(Context context) throws InitializationException;
    }

    <C extends UseCaseConfig<?>> C getConfig(Class<C> cls);
}
