package com.befovy.fijkplayer;

import android.content.Context;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.view.TextureRegistry;

interface FijkEngine {
    void audioFocus(boolean z);

    Context context();

    TextureRegistry.SurfaceTextureEntry createSurfaceEntry();

    String lookupKeyForAsset(String str, String str2);

    BinaryMessenger messenger();

    void onPlayableChange(int i);

    void onPlayingChange(int i);

    void setScreenOn(boolean z);
}
