package com.dooboolab.fluttersound;

import android.media.MediaPlayer;
import android.media.MediaRecorder;
import android.os.Environment;

public class AudioModel {
    public static final String DEFAULT_FILE_LOCATION = (Environment.getDataDirectory().getPath() + "/default.aac");
    private Runnable dbLevelTicker;
    private MediaPlayer mediaPlayer;
    private MediaRecorder mediaRecorder;
    public final double micLevelBase = 2700.0d;
    public long peakLevelUpdateMillis = 800;
    private long playTime = 0;
    private long recordTime = 0;
    private Runnable recorderTicker;
    public boolean shouldProcessDbLevel = true;
    public int subsDurationMillis = 10;

    public MediaRecorder getMediaRecorder() {
        return this.mediaRecorder;
    }

    public void setMediaRecorder(MediaRecorder mediaRecorder2) {
        this.mediaRecorder = mediaRecorder2;
    }

    public Runnable getRecorderTicker() {
        return this.recorderTicker;
    }

    public void setRecorderTicker(Runnable runnable) {
        this.recorderTicker = runnable;
    }

    public Runnable getDbLevelTicker() {
        return this.dbLevelTicker;
    }

    public void setDbLevelTicker(Runnable runnable) {
        this.dbLevelTicker = runnable;
    }

    public long getRecordTime() {
        return this.recordTime;
    }

    public void setRecordTime(long j) {
        this.recordTime = j;
    }

    public MediaPlayer getMediaPlayer() {
        return this.mediaPlayer;
    }

    public void setMediaPlayer(MediaPlayer mediaPlayer2) {
        this.mediaPlayer = mediaPlayer2;
    }

    public long getPlayTime() {
        return this.playTime;
    }

    public void setPlayTime(long j) {
        this.playTime = j;
    }
}
