package com.leeson.image_pickers.views;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.VideoView;

public class FullScreenVideoView extends VideoView {
    private PlayerLisetener playerLisetener;

    public interface PlayerLisetener {
        void onStart();
    }

    public FullScreenVideoView(Context context) {
        super(context);
    }

    public FullScreenVideoView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public FullScreenVideoView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
    }

    public void start() {
        super.start();
        PlayerLisetener playerLisetener2 = this.playerLisetener;
        if (playerLisetener2 != null) {
            playerLisetener2.onStart();
        }
    }

    public void setPlayerLisetener(PlayerLisetener playerLisetener2) {
        this.playerLisetener = playerLisetener2;
    }
}
