package com.rhyme.r_scan.RScanCamera;

import com.google.zxing.Result;
import com.rhyme.r_scan.RScanResultUtils;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

/* access modifiers changed from: package-private */
public class RScanMessenger {
    private static final String scanViewType = "com.rhyme_lph/r_scan_camera";
    private EventChannel.EventSink eventSink;

    RScanMessenger(BinaryMessenger binaryMessenger, long j) {
        new EventChannel(binaryMessenger, "com.rhyme_lph/r_scan_camera_" + j + "/event").setStreamHandler(new EventChannel.StreamHandler() {
            /* class com.rhyme.r_scan.RScanCamera.RScanMessenger.AnonymousClass1 */

            @Override // io.flutter.plugin.common.EventChannel.StreamHandler
            public void onListen(Object obj, EventChannel.EventSink eventSink) {
                RScanMessenger.this.eventSink = eventSink;
            }

            @Override // io.flutter.plugin.common.EventChannel.StreamHandler
            public void onCancel(Object obj) {
                RScanMessenger.this.eventSink = null;
            }
        });
    }

    /* access modifiers changed from: package-private */
    public void send(Result result) {
        EventChannel.EventSink eventSink2 = this.eventSink;
        if (eventSink2 != null) {
            eventSink2.success(RScanResultUtils.toMap(result));
        }
    }
}
